      program main

      include 'mpif.h'

      integer id
      integer ierr
      integer p

      call MPI_Init ( ierr )
      call MPI_Comm_rank ( MPI_COMM_WORLD, id, ierr )
      call MPI_Comm_size ( MPI_COMM_WORLD, p, ierr )

      call do_stuff ( id, p )

      call MPI_Finalize ( ierr )

      stop
      end
